Name:           perl-Test-Alien
Version:        0.15
Release:        3%{?dist}
Summary:        Testing tools for Alien modules
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Test-Alien/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Test-Alien-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Env)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.21
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Which) >= 1.10
BuildRequires:  perl(if)
# Test2::API version from Test2 in META
BuildRequires:  perl(Test2::API) >= 1.302015
BuildRequires:  perl(Test2::Require)
BuildRequires:  perl(Text::ParseWords) >= 3.26
# Optional run-time:
# FFI::Platypus not yet packaged
# Tests:
# Test2::Bundle::Extended version from Test2::Suite in META
BuildRequires:  perl(Test2::Bundle::Extended) >= 0.000060
BuildRequires:  perl(Test2::Require::Module)
BuildRequires:  perl(Test::More) >= 0.94
# Optional tests:
# Acme::Alien::DontPanic 0.026 not yet packaged
# Alien::Base 0.023 not yet packaged
# Alien::Libarchive 0.26 not yet packaged
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Config)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(ExtUtils::ParseXS) >= 3.21
# Test2::API version from Test2 in META
Requires:       perl(Test2::API) >= 1.302015
Requires:       perl(Text::ParseWords) >= 3.26
# Optional run-time:
# FFI::Platypus not yet packaged

# Remove under-specified depenedncies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Test2::API|Text::ParseWords)\\)$

%description
This package provides tools for testing Alien Perl modules. It has hooks to
work easily with Alien::Base based modules, but can also be used via the
synthetic interface to test non Alien::Base based Alien modules.

%prep
%setup -q -n Test-Alien-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-2
- Perl 5.26 rebuild

* Wed May 24 2017 Petr Pisar <ppisar@redhat.com> - 0.15-1
- 0.15 bump

* Fri Mar 24 2017 Petr Pisar <ppisar@redhat.com> - 0.14-1
- 0.14 bump

* Thu Mar 09 2017 Petr Pisar <ppisar@redhat.com> 0.12-1
- Specfile autogenerated by cpanspec 1.78.
